/*
 * qsensview - Environment sensor data view
 *
 * Copyright (C) 2019  B. Stultiens
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <QApplication>
#include <QIcon>
#include <QProcessEnvironment>
#include <QTimer>

#include "qsensview.h"
#include "qsvMainWindow.h"

QSettings *pini;

int main(int argc, char **argv)
{
	QApplication app(argc, argv);

	QString fname = QProcessEnvironment::systemEnvironment().value("HOME", ".") + "/.qsensview.ini";
	QStringList sl = app.arguments();
	for(int i = 1; i < sl.size(); i++) {
		if(sl[i] == "-c" && i+1 < sl.size()) {
			fname = sl[i+1];
			break;
		} else if(sl[i] == "-?" || sl[i] == "-h") {
			fprintf(stdout, "QSensView - Visualize environmental data.\nUsage: qsensview [-c configinifile]\n");
			exit(1);
		}
	}

	pini = new QSettings(fname, QSettings::IniFormat);
	qsvMainWindow *w = new qsvMainWindow();
	if(pini->value("app/wfullscreen", false).toBool())
		w->setWindowState(Qt::WindowFullScreen);
	w->show();

	app.setWindowIcon(QIcon(":/images/icon.png"));

	return app.exec();
}
