/*
 * qsensview - Environment sensor data view
 *
 * Copyright (C) 2019  B. Stultiens
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __QSENSVIEW_CHARTVIEW_H
#define __QSENSVIEW_CHARTVIEW_H

#include <QChartView>
#include <QChart>
#include <QLineSeries>
#include <QValueAxis>
#include <QDateTimeAxis>
#include <QLabel>

using namespace QtCharts;

class qsvChartView : public QChartView
{
Q_OBJECT
public:
	qsvChartView(float ymin, float ymax, const QString& unit, unsigned decis, QLabel *lbl, int yticks = 5);

	void setData(float val);
	QString getDataText();
	void initData(unsigned interval);
	void addData(float val, float _min, float _max);

private:
	QLineSeries *data;
	QLineSeries *mini;
	QLineSeries *maxi;
	QChart *chart;
	QValueAxis *axisy;
	QDateTimeAxis *axisx;

	QLabel *lbldata;
	unsigned decimals;
	float miny;
	float maxy;
	int nsamples;
	int xquant;
};

#endif
